Skip to main content
GET
/
v2
/
entity-ingestion-configs
/
{config_id}
/
sync-status
Get Ingestion Config Sync Status
curl --request GET \
  --url https://public.api.serval.com/v2/entity-ingestion-configs/{config_id}/sync-status \
  --header 'Authorization: Bearer <token>'
{
  "syncStatus": "SYNC_STATUS_UNSPECIFIED",
  "lastSyncEndTime": "2023-11-07T05:31:56Z",
  "firstSyncStartTime": "2023-11-07T05:31:56Z",
  "currentPhase": "INGESTION_SYNC_PHASE_UNSPECIFIED",
  "hasExternalEntities": true,
  "hasFieldMappings": true,
  "hasPublishedEntities": true,
  "isDeleting": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

config_id
string
required

The ID of the ingestion config.

Response

Success

syncStatus
enum<string>

Status of the last/current sync.

Available options:
SYNC_STATUS_UNSPECIFIED,
SYNC_STATUS_NOT_STARTED,
SYNC_STATUS_RUNNING,
SYNC_STATUS_COMPLETED,
SYNC_STATUS_FAILED
lastSyncEndTime
string<date-time> | null

When the last sync completed.

firstSyncStartTime
string<date-time> | null

When the first-ever sync started.

currentPhase
enum<string>

Current phase when sync is running.

Available options:
INGESTION_SYNC_PHASE_UNSPECIFIED,
INGESTION_SYNC_PHASE_INGESTING_DATA,
INGESTION_SYNC_PHASE_EXTRACTING_SCHEMA,
INGESTION_SYNC_PHASE_INFERENCE
hasExternalEntities
boolean

Whether any external entities have been synced for this config.

hasFieldMappings
boolean

Whether any field mappings exist for this config.

hasPublishedEntities
boolean

Whether any published entities exist for this config.

isDeleting
boolean

Whether a deletion workflow is currently running.